import { InjectionToken } from '@angular/core';
import { XhrFactory } from '@angular/common';
import { HttpEvent, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { NSFileSystem, NsHttpBackEnd } from '@nativescript/angular';
import { HttpsRequestOptions } from '@nativescript-community/https';
import { ExcludedService } from './excluded.service';
import * as i0 from "@angular/core";
/** Https request default options. */
export type HttpsRequestDefaultOptions = Pick<HttpsRequestOptions, 'timeout' | 'allowLargeResponse' | 'cachePolicy' | 'cookiesEnabled'> & {
    useLegacy?: boolean;
};
/** Page size injection token. */
export declare const HTTPS_REQUEST_DEFAULT_OPTIONS: InjectionToken<HttpsRequestDefaultOptions>;
export declare class NativeScriptHttpXhrBackend extends NsHttpBackEnd {
    private readonly _excludedService;
    private readonly _defaults?;
    constructor(xhrFactory: XhrFactory, nsFileSystem: NSFileSystem, _excludedService: ExcludedService, _defaults?: HttpsRequestDefaultOptions);
    handle(req: HttpRequest<any>): Observable<HttpEvent<any>>;
    private _isLocalRequest;
    private _request;
    private _mapHeaders;
    private _mapParams;
    private _mapHttpErrorResponse;
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeScriptHttpXhrBackend, [null, null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NativeScriptHttpXhrBackend>;
}
